# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           beefy-miracle-backgrounds
Version:        16.91.0
Release:        alt1_13
Summary:        Beefy Miracle desktop backgrounds

Group:          Graphics
License:        CC-BY-SA
URL:            https://fedoraproject.org/wiki/F17_Artwork
Source0:        https://fedorahosted.org/released/design-team/%{name}-%{version}.tar.xz

BuildArch:      noarch

# for %%_kde4_* macros
Requires:       %{name}-gnome = %{version}-%{release}
Requires:       %{name}-kde = %{version}-%{release}
Source44: import.info


%description
This package contains desktop backgrounds for the Beefy Miracle theme.
Pulls in both Gnome and KDE themes.

%package        single
Summary:        Single screen images for Beefy Miracle Backgrounds
Group:          Graphics
License:        CC-BY-SA

%description    single
This package contains single screen images for Beefy Miracle
Backgrounds.

%package        kde
Summary:        Beefy Miracle Wallpapers for KDE
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    kde
This package contains KDE desktop wallpapers for the Beefy Miracle
theme.

%package        gnome
Summary:        Beefy Miracle Wallpapers for Gnome
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}

%description    gnome
This package contains Gnome desktop wallpapers for the Beefy Miracle
theme.

%package        xfce
Summary:        Beefy Miracle Wallpapers for XFCE4
Group:          Graphics

Requires:       %{name}-single = %{version}-%{release}
Requires:       xfdesktop

%description    xfce
This package contains XFCE4 desktop wallpapers for the Beefy Miracle
theme.

%prep
%setup -q


%build
%make_build


%install
make install DESTDIR=$RPM_BUILD_ROOT


%files
%doc

%files single
%doc CC-BY-SA?3.0 Attribution
%dir %{_datadir}/backgrounds/beefy-miracle
%dir %{_datadir}/backgrounds/beefy-miracle/default
%{_datadir}/backgrounds/beefy-miracle/default/normalish
%{_datadir}/backgrounds/beefy-miracle/default/standard
%{_datadir}/backgrounds/beefy-miracle/default/wide

%files kde
%{_kde4_datadir}/wallpapers/Beefy_Miracle/

%files gnome
%{_datadir}/backgrounds/beefy-miracle/default/beefy-miracle.xml
%{_datadir}/gnome-background-properties/desktop-backgrounds-beefy-miracle.xml

%files xfce
%{_datadir}/xfce4/backdrops/beefy-miracle.png


%changelog
* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_13
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_12
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_11
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_10
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_9
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_8
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_7
- update to new release by fcimport

* Thu Aug 22 2013 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_6
- update to new release by fcimport

* Wed May 01 2013 Igor Vlasenko <viy@altlinux.ru> 16.91.0-alt1_5
- initial fc import

